Keywords

1 Introduction

Throughout this paper we consider graphs with no loops or parallel edges. A topological graph is a graph drawn in the plane with its vertices as distinct points and its edges as Jordan arcs that connect the corresponding points and do not contain any other vertex as an interior point. Every pair of edges in a topological graph has a finite number of intersection points, each of which is either a vertex that is common to both edges, or a crossing point at which one edge passes from one side of the other edge to its other side. A topological graph is simple if every pair of its edges intersect at most once. A geometric graph is a (simple) topological graph in which every edge is a straight-line segment. If the vertices of a geometric graph are in convex position, then the graph is a convex geometric graph.

Call a pair of independentFootnote 1 and crossing edges e and \(e'\) in a topological graph G planarly connected if there is a crossing-free edge in G that connects an endpoint of e and an endpoint of \(e'\). A planarly connected crossing (PCC for short) topological graph is a topological graph in which every pair of independent crossing edges is planarly connected. An abstract graph is a PCC graph if it can be drawn as a topological PCC graph.

Our motivation for studying PCC graphs comes from two examples of topological graphs that satisfy this property: A graph is k-planar if it can be drawn as a topological graph in which each edge is crossed at most k times (we call such a topological graph k-plane). Suppose that G is an n-vertex 1-planar topological graph with the maximum possible number of edges (i.e., there is no n-vertex 1-planar graph with more edges than G). Now consider a drawing D of G as a 1-plane topological graph with the least number of crossings. Then it is easy to see that D is a simple topological graph. Moreover, D is a PCC topological graph. Indeed, if (uv) and (wz) are two independent edges that cross at a point x and are not planarly connected, then we can draw a crossing-free edge (uw) that consists of the (perturbed) segments (ux) and (wx) of (uv) and (wz), respectively. This way we either increase the number of edges in the graph or we are able to replace a crossed edge with a crossing-free edge and get a 1-plane drawing of G with less crossings.

Another example for PCC topological graphs are certain drawings of fan-planar graphs. A graph is called fan-planar if it can be drawn as a simple topological graph such that for every edge e all the edges that cross e share a common endpoint on the same side of e. As before, it can be shown (see [11, Corollary 1]) that such an embedding of a maximum fan-planar graph with as many crossing-free edges as possible admits a PCC topological graph.

Both 1-plane topological graphs and fan-planar graphs are sparse, namely, their maximum number of edges is \(4n-8\) [14] and \(5n-10\) [11], respectively (where n denotes the number of vertices). Our main result shows that simple PCC topological graphs are always sparse.

Theorem 1

Let G be an n-vertex topological graph such that for every two crossing edges e and \(e'\) it holds that e and \(e'\) are independent and there is a crossing-free edge that connects an endpoint of e and an endpoint of \(e'\). Then G has at most cn edges, where c is an absolute constant.

Note that by definition in a simple topological graph every pair of crossing edges must be independent, therefore, Theorem 1 holds for PCC simple topological graphs. We strongly believe that (not necessarily simple) PCC topological graphs also have linearly many edges, however, our proof currently falls short of showing that.

It follows from Theorem 1 that 1-plane and fan-planar graphs have linearly many edges, however, with a much weaker upper bound than the known ones. It would be interesting to improve our upper bound and to find the exact maximum size of a PCC (simple) topological graph. We show that this value is at least \(9n-O(1)\) (see Sect. 3), which implies that not every PCC graph is a (maximum) 1-plane or fan-planar graph.

PCC graphs are also related to two other classes of topological graphs. Call a topological graph k-quasi-plane if it has no k pairwise crossing edges. According to a well-known and rather old conjecture (see e.g., [6, 12]) k-quasi-plane graphs should have linearly many edges.

Conjecture 1

For any integer \(k \ge 2\) there is a constant \(c_k\) such that every n-vertex k-quasi-plane graph has at most \(c_kn\) edges.

It is easy to see that if G is a PCC simple topological graph, then G is 9-quasi-plane: Suppose for contradiction that G contains a set \(E'\) of 9 pairwise crossing edges and let \(V'\) be the set of their endpoints. Since G is a simple topological graph, no two edges in \(E'\) share an endpoint, therefore \(|V'|=18\). Let \(G'\) be the subgraph of G that is induced by \(V'\) and let \(E''\) be the crossing-free edges of \(G'\). Clearly \((V',E'')\) is a plane graph. Moreover, all the edges in \(E'\) must lie in the same face f of this plane graph, since they are pairwise crossing. It follows that f is incident to every vertex in \(V'\) and therefore \((V',E'')\) is an outerplanar graph. Thus, \(|E''| \le 2\cdot 18-3=33\). On the other hand, since \(G'\) is also PCC and no two edges in \(E'\) share an endpoint, it follows that \(|E''| \ge {{9}\atopwithdelims (){2}}=36\), a contradiction.

Therefore, Conjecture 1, if true, would immediately imply Theorem 1 for simple topological graphs. However, this conjecture was only verified for \(k=3\) [4, 5, 13], for \(k=4\) [1], and (for any k) for convex geometric graphs [7]. For \(k \ge 5\) the currently best upper bounds on the size of n-vertex k-quasi-plane graphs are \(n(\log n)^{O(\log k)}\) by Fox and Pach [9, 10], and \(O_k(n\log n)\) for simple topological graphs by Suk and Walczak [16].

Another conjecture that implies Theorem 1 (also for topological graphs that are not necessarily simple) is related to grids in topological graphs. A k-grid in a topological graph is a pair of edge subsets \(E_1,E_2\) such that \(|E_1|=|E_2|=k\), and every edge in \(E_1\) crosses every edge in \(E_2\). Ackerman et al. [2] proved that every n-vertex topological graph that does not contain a k-grid with distinct vertices has at most \(O_k(n\log ^*n)\) edges and conjectured that this upper bound can be improved to \(O_k(n)\). It is not hard to show, as before, that a PCC graph does not contain an 8-grid with distinct vertices. Therefore, this conjecture, if true, would also imply Theorem 1.

Outline. We prove Theorem 1 in the following section. In Sect. 3 we give a lower bound on the maximum size of a PCC simple topological graph, generalize the notion of planarly connected edges, and conclude with some open problems.

2 Proof of Theorem 1

Let \(G=(V,E)\) be an n-vertex topological graph such that for every two crossing edges e and \(e'\) it holds that e and \(e'\) are independent and there is a crossing-free edge that connects an endpoint of e and an endpoint of \(e'\). Denote by \(E' \subseteq E\) the set of crossing-free (planar) edges in G, and by \(E''=E \setminus E'\) the set of crossed edges in G. Since \(G'=(V,E')\) is a plane graph, we have \(|E'| \le 3n\), so it remains to prove that \(|E''|=O(n)\).

Let \(G'_1=(V_1,E'_1),\ldots ,G'_k=(V_k,E'_k)\) be the connected components of the graph \(G'\), and let \(E''_{i,j} = \{ (u,v) \in E'' \mid u \in V_i \text { and } v \in V_j \}\).

Lemma 1

\(|E''_{i,i}| \le 96|V_i|\) for \(1 \le i \le k\).

Proof

Assume without loss of generality that \(i=1\) and consider the graph \(G'_1\). Let \(f_1,\ldots ,f_\ell \) be the faces of the plane graph \(G'_1\). For a face \(f_j\), let \(V(f_j)\) be the vertices that are incident to \(f_j\), and let \(E''(f_j)\) be the edges in \(E''_{1,1}\) that lie within \(f_j\) (thus, their endpoints are in \(V(f_j)\)). Denote by \(|f_j|\) the size of \(f_j\), that is, the length of the shortest closed walk that visits every edge on the boundary of \(f_j\). Recall that in the Introduction we argued that a PCC simple topological graph is 9-quasi-plane. For the same arguments we have the following observation.

Observation 2

There are no 9 pairwise crossing edges in \(E''(f_j)\).

Proposition 1

\(|E''(f_j)| \le 16|f_j|\), for \(1 \le j \le \ell \).

Proof

Define first an auxiliary graph \(\hat{G}_j\) as follows. When traveling along the boundary of \(f_j\) in clockwise direction, we meet every vertex in \(V(f_j)\) at least once and possibly several times if the boundary of \(f_j\) is not a simple cycle. Let \(v_1,v_2,\ldots ,v_{|f_j|}\) be the list of vertices as they appear along the boundary of \(f_j\), where a new instance of a vertex is introduced whenever a visited vertex is revisited. The edge set of \(\hat{G}_j\) corresponds to \(E''(f_j)\), however, we make sure to pick the “correct” instance of a vertex in \(v_1,v_2,\ldots ,v_{|f_j|}\) for a vertex in \(V(f_j)\) that was visited more than once when traveling along the boundary of \(f_j\) (see Fig. 1 for an example).

Fig. 1.
figure 1

Illustrations for the proof of Proposition 1.

Let \(\hat{e}_1\) and \(\hat{e}_2\) be a pair of crossing edges in \(\hat{G}_j\) and let \(e_1\) and \(e_2\) be their corresponding edges in G. Clearly, \(e_1\) and \(e_2\) are crossing edges and therefore are independent and planarly connected. It follows from Observation 2 that \(\hat{G}_j\) does not contain 9 pairwise crossing edges.

We now realize the underlying abstract graph of \(\hat{G}_j\) as a convex geometric graph: The vertices \(v_1,v_2,\ldots ,v_{|f_j|}\) are the vertices of a convex polygon (in that order), and the edges of \(\hat{G}_j\) are realized as straight-line segments. Suppose that two edges \((v_{i_1},v_{i_2})\) and \((v_{i_3},v_{i_4})\) cross in this realization. Assume without loss of generality that \(i_1 < i_2\), \(i_3 < i_4\) and \(i_1 < i_3\). Since these edges are the chords of a convex polygon it must be that \(i_1< i_3< i_2 < i_4\). It follows that \((v_{i_1},v_{i_2})\) and \((v_{i_3},v_{i_4})\) also cross in \(\hat{G}_j\). Thus, the realization of \(\hat{G}_j\) as a convex geometric graph does not contain 9 pairwise crossing edges. According to a result of Capoyleas and Pach [7], an n-vertex convex geometric graph with no \(k+1\) pairwise crossing edges has at most \({{n}\atopwithdelims (){2}}\) edges if \(n \le 2k+1\) and at most \(2kn - {{2k+1}\atopwithdelims (){2}}\) edges if \(n \ge 2k+1\). Therefore, \(|E''(f_j)| \le 16|f_j|\).    \(\square \)

We now return to proving that \(|E''_{1,1}| = O(|V_1|)\). Using the fact that \(\sum _{j=1}^{\ell } |f_j| = 2|E'_1| \le 6|V_1|\), we have

$$\begin{aligned} |E''_{1,1}| = \sum _{j=1}^{\ell } E''(f_j) \le \sum _{j=1}^{\ell } 16|f_j| \le 96|V_1|, \end{aligned}$$

which completes the proof of the lemma.    \(\square \)

It remains to bound the number of edges in \(E''\) between different connected components of \(G'\). To this end, we introduce some more notations. For every \(j \ne i\), let \(V_{i,j}\) be the vertices of \(V_i\) that are connected to some vertex in \(V_j\), i.e., \(V_{i,j} = \{ v_i \in V_i \mid (v_i,v_j) \in E'' \text { for some } v_j \in V_j\}\). Let H be a simple (abstract) graph whose vertex set is \(\{u_1,\ldots ,u_k\}\) and whose edge set consists of the edges \((u_i,u_j)\) such that \(E''_{i,j} \ne \emptyset \).

Lemma 3

H is a planar graph.

Proof

For \(1 \le i \le k\) identify \(u_i\) with one of the vertices of \(G'_i\) and let \(T_i\) be a spanning tree of \(G'_i\). We draw every edge \((u_i,u_j)\) of H as follows: Pick arbitrarily a pair \(v_i \in V_i\) and \(v_j \in V_j\) such that \((v_i,v_j) \in E''\). The edge \((u_i,u_j)\) consists of the unique path in \(T_i\) from \(u_i\) to \(v_i\), the edge \((v_i,v_j)\) and the unique path in \(T_j\) from \(v_j\) to \(u_j\). See Fig. 2 for an example. Note that in the drawing of H that is obtained this way all the crossing points are inherited from G, however, there are overlaps between edges. Still, each such (maximal) overlap contains an endpoint of an edge, and it is not hard to show that the edges in such a drawing can be slightly perturbed so that all the overlaps are removed and no new crossings are introduced (see [3, Lemma 2.4]). We denote such a drawing of H by \(H'\).

The important observation is that if two edges in \(H'\) cross, then they must share an endpoint. Indeed, suppose for contradiction that \((u_a,u_b)\) and \((u_c,u_d)\) are two independent and crossing edges. Then it follows that G contains two independent and crossing edges \((v_a,v_b)\) and \((v_c,v_d)\), such that \(v_a \in V_a\), \(v_b \in V_b\), \(v_c \in V_c\) and \(v_d \in V_d\). Since these two edges are planarly connected, there should be a crossing-free edge that connects a vertex in \(\{v_a,v_b\}\) with a vertex in \(\{v_c,v_d\}\). However, this is impossible since these four vertices belong to distinct connected components of \(G'\).

Finally, a graph that can be drawn so that each crossing is between two edges that share a common vertex is planar: this follows from the strong Hanani-Tutte Theorem (see, e.g., [8, 15, 18]).    \(\square \)

Fig. 2.
figure 2

Illustrations for the proof of Lemma 3.

Lemma 4

\(|E''_{i,j}| \le 8(|V_{i,j}|+|V_{j,i}|)\) for every \(1 \le i < j \le k\).

Proof

Since \(G'_i\) and \(G'_j\) are planar graphs, we can properly color their vertices with four colors. Denote the colors by 1, 2, 3, 4, and let \(V_{i,j}^c\) (resp., \(V_{j,i}^c\)) be the vertices of color c in \(V_{i,j}\) (resp., \(V_{j,i}\)). We claim that the number of edges in \(E''_{i,j}\) that connect a vertex from \(V_{i,j}^c\) and a vertex from \(V_{j,i}^{c'}\) is at most \(2(|V_{i,j}^c|+|V_{j,i}^{c'}|)\) for every \(c,c' \in \{1,2,3,4\}\). Indeed, denote the graph that consists of these edges by \(G^*\) and consider its drawing as inherited from G. It is not hard to see that \(G^*\) is a planar graph: Suppose that two edges in \(G^*\) cross and denote them by (uv) and (xy) such that \(u,x \in V_{i,j}^c\) and \(v,y \in V_{j,i}^{c'}\). Since u and x are both of color c, there is no crossing-free edge in \(G'_i\) that connects them. Similarly, there is no crossing-free edge in \(G'_j\) that connects v and y. Since there are also no crossing-free edges in \(E''_{i,j}\), it follows that (uv) and (xy) are not independent, a contradiction.

Therefore, \(G^*\) is a plane graph. Because \(G^*\) is also bipartite, its number of edges is at most twice its number of vertices. Thus,

$$\begin{aligned} |E''_{i,j}| \le 2\sum _{1 \le c \le 4}\sum _{1 \le c' \le 4} (|V_{i,j}^c|+|V_{j,i}^{c'}|) = 8(|V_{i,j}|+|V_{j,i}|), \end{aligned}$$

and the lemma follows.    \(\square \)

Lemma 5

\(\sum _{j \ne i} |V_{i,j}| \le 3(|V_i| + 4\deg _H(u_i))\) for every \(1 \le i \le k\).

Proof

We use again ideas from the proofs of Lemmas 3 and 4. Assume without loss of generality that \(i=1\) and consider the graph \(G'_1\). Since \(G'_1\) is a planar graph, we can properly color its vertices with four colors. Denote the colors by 1, 2, 3, 4, and let \(V_1^c\) (resp., \(V_{1,j}^c\)) be the vertices of color c in \(V_1\) (resp., \(V_{1,j}\)). Clearly, \(\sum _{j=2}^k |V_{1,j}| = \sum _{c=1}^4 \sum _{j=2}^k |V_{1,j}^c|\). Therefore it is enough to consider \(\sum _{j=2}^k |V_{1,j}^c|\) for a fixed color c.

Recall that in the proof of Lemma 3, for \(1 \le i \le k\), we have identified \(u_i\) with one of the vertices of \(G'_i\) and denoted by \(T_i\) a spanning tree of \(G'_i\). We define a graph \(H^c\) whose vertex set consists of \(V_1^c\) and the vertices \(u_j\) that are adjacent to \(u_1\) in H. For each such vertex \(u_j\) and every vertex \(v_1 \in V_{1,j}^c\) pick arbitrarily an edge \((v_1,v_j)\) such that \(v_j \in V_j\) (such an edge exists by the definition of \(V_{1,j}\)), and draw an edge \((v_1,u_j)\) as follows: \((v_1,u_j)\) consists of the edge \((v_1,v_j)\) in G and the unique path in \(T_j\) from \(v_j\) to \(u_j\).

Observe that \(H^c\) is a simple graph (i.e., it has no parallel edges or loops). Moreover, in the drawing of \(H^c\) that is obtained as above, all the crossing points are inherited from G, however, there are overlaps between edges. Still, each such (maximal) overlap contains an endpoint of an edge, and thus, as in the proof of Lemma 3, the edges of \(H^c\) can be slightly perturbed so that all the overlaps are removed and no new crossings are introduced.

Consider such a drawing of \(H^c\) and observe that if two edges cross in this drawing, then they must share an endpoint. Indeed, suppose for contradiction that \((v_1,u_a)\) and \((v'_1,u_b)\) are two independent and crossing edges. Then G contains two independent and crossing edges \((v_1,v_a)\) and \((v'_1,v_b)\), such that \(v_1,v'_1 \in V_1\), \(v_a \in V_a\), and \(v_b \in V_b\). Since these two edges are planarly connected, there should be a crossing-free edge that connects a vertex in \(\{v_1,v_a\}\) with a vertex in \(\{v'_1,v_b\}\). However, this is impossible because there is no crossing-free edge between two vertices from different connected components of \(G'\) and there is also no crossing-free edge \((v_1,v'_1)\) since both \(v_1\) and \(v'_1\) are of color c.

This implies that \(H^c\) is a planar graph. Observe that \(\sum _{j=2}^k |V_{1,j}^c|\) is precisely the number of edges in \(H^c\). Thus, \(\sum _{j=2}^k |V_{1,j}^c| \le 3|V(H^c)| = 3(|V_1^c|+\deg _{H}(u_1))\), and it follows that \(\sum _{j=2}^k |V_{1,j}| = \sum _{c=1}^4 \sum _{j=2}^k |V_{1,j}^c| \le 3|V_1|+12\deg _{H}(u_1)\).    \(\square \)

Recall that it remains to show that \(|E''| = O(n)\):

$$\begin{aligned} |E''|= \sum _{1 \le i \le k} |E''_{i,i}| + \sum _{1\le i < j \le k} |E''_{i,j}| \end{aligned}$$
$$\begin{aligned} \le 96n + 8 \sum _{1\le i < j \le k} (|V_{i,j}|+|V_{j,i}|) \end{aligned}$$
$$\begin{aligned} = 96n + 8 \sum _{1\le i \le k} \sum _{j \ne i} |V_{i,j}| \end{aligned}$$
$$\begin{aligned} \le 96n + 24 \sum _{1\le i \le k} (|V_i| + 4\deg _H(u_i)) \end{aligned}$$
$$\begin{aligned} \le 96n + 24n + 96\cdot 2|E(H)| \le 120n + 192\cdot 3n = 696n. \end{aligned}$$

Note that in the last inequality we used the fact that H is a planar graph. We conclude that \(|E|=|E'|+|E''| \le 699n\). Theorem 1 is proved.

3 Discussion

Recall that we leave open the question of whether Theorem 1 holds for PCC topological graphs in which every pair of crossing edges shares a vertex or is planarly connected.

It would also be interesting to find the maximum size of an n-vertex PCC simple topological graph. The proof of Theorem 1 shows that this quantity is at most 699n, but we believe that a linear bound with a much smaller multiplicative constant holds. Figure 3 describes a construction of an n-vertex PCC simple topological graph with \(9n-O(1)\) edges. This construction was given by Géza Tóth [17], and it improves a construction of ours with \(6.6n-O(1)\) edges that appeared in an earlier version of this paper. It goes as follows: place \(n-6\) points on the y-axis, say at (0, i) for \(i=0,1,\ldots ,n-7\); for every \(i=0,\ldots ,n-8\) add a straight-line edge connecting (0, i) and \((0,i+1)\) (these edges will be crossing-free); for every \(i=0,\ldots ,n-9\) add an edge connecting (0, i) and \((0,i+2)\) that goes slightly to the left of the y-axis; for every \(i=0,\ldots ,n-10\) add an edge connecting (0, i) and \((0,i+3)\) that goes slightly to the right of the y-axis; add three points with the same x coordinate to the left (resp., right) of the y-axis and connect each of them by straight-line edges to each of the points on the y-axis; connect every pair of points to the left (resp., right) of the y-axis by a crossing-free edge. One can easily verify that the resulting graph is indeed a PCC simple topological graph and has \(9n-O(1)\) edges.

Fig. 3.
figure 3

A construction of a topological PCC graph with \(9n-O(1)\) edges.

The notion of planarly connected edges can be generalized as follows. For an integer \(k \ge 0\), we say that two crossing edges e and \(e'\) in a topological graph G are k -planarly connected if there is a path of at most k crossing-free edges in G that connects an endpoint of e with an endpoint of \(e'\). Call a graph k -planarly connected crossing (k-PCC for short) graph if it can be drawn as a topological graph in which every pair of crossing edges is k-planarly connected. Thus, PCC graphs are 1-PCC graphs.

For \(k=0\), graphs that can be drawn as topological graphs in which every pair of crossing edges share a vertex are actually planar graphs, as noted in the proof of Lemma 3. For \(k \ge 2\) we can no longer claim that a k-PCC graph is sparse. Indeed, it is easy to see that \(K_n\) is a 2-PCC graph: simply pick a vertex v and draw it with all of its neighbors as a crossing-free star. Now every remaining edge can be drawn such that we get a simple topological graph in which for any two crossing edges there is a path (through v) of two crossing-free edges that connects their endpoints.

Note that if G is a k-PCC graph and \(G'\) is a subgraph of G, then this does not imply that \(G'\) is also a k-PCC graph. For example, it is not hard to see that for any k there is a (sparse) graph that is not k-PCC: simply replace every edge of \(K_{5}\) (or any non-planar graph) with a path of length \(k+1\). Call the resulting graph \(G'\) and observe that any drawing of it must contain two independent and crossing edges such that there is no path of length at most k between their endpoints. On the other hand, if \(k \ge 2\) then clearly \(G'\) is a subgraph of a k-PCC graph (\(K_n\)).

We conclude with a few interesting questions one can ask about the notion of planarly connected crossings: Is it possible to construct for any n and k a graph with quadratically many edges which is not k-PCC? Can we recognize (k-)PCC graphs efficiently? Given that a graph is a (k-)PCC graph, is it possible to find efficiently such an embedding?